Genivia - value Struct Reference

|  | Home | Documentation | value Struct Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
value Struct Reference

`#include <xml-rpc.h>`

## Public Types
typedef value_iterator | iterator
typedef value_const_iterator | const_iterator

## Public Member Functions
| value ()
| value (const struct value &)
| value (struct soap *)
| value (struct soap *, extern bool)
| value (struct soap *, _i4)
| value (struct soap *, _int)
| value (struct soap *, _double)
| value (struct soap *, const char *)
| value (struct soap *, const std::string &)
| value (struct soap *, const wchar_t *)
| value (struct soap *, const std::wstring &)
| value (struct soap *, ULONG64)
| value (struct soap *, const struct _array &)
| value (struct soap *, const struct _struct &)
| value (struct soap *, const struct _base64 &)
| value (struct soap *, const struct _rawdata &)
| operator extern bool () const
| operator _i4 () const
| operator _int () const
| operator _double () const
| operator char * () const
| operator std::string () const
| operator wchar_t * () const
| operator std::wstring () const
| operator ULONG64 () const
| operator struct _array & ()
| operator const struct _array & () const
| operator struct _struct & ()
| operator const struct _struct & () const
| operator struct _base64 & ()
| operator const struct _base64 & () const
| operator struct _rawdata & ()
| operator const struct _rawdata & () const
struct value & | operator[] (int)
| array/struct index (negative to get from end) More...
struct value & | operator[] (const char *)
| struct access More...
struct value & | operator[] (const std::string &)
| struct access More...
struct value & | operator[] (const wchar_t *)
| struct access More...
struct value & | operator[] (const std::wstring &)
| struct access More...
const struct value & | operator[] (int) const
| array/struct index (negative to get from end) More...
const struct value & | operator[] (const char *) const
| struct access More...
const struct value & | operator[] (const std::string &) const
| struct access More...
const struct value & | operator[] (const wchar_t *) const
| struct access More...
const struct value & | operator[] (const std::wstring &) const
| struct access More...
bool | operator= (extern bool)
_i4 | operator= (_i4)
_int | operator= (_int)
_double | operator= (_double)
ULONG64 | operator= (ULONG64)
const char * | operator= (const char *)
char * | operator= (char *)
char * | operator= (const std::string &)
const char * | operator= (const wchar_t *)
char * | operator= (wchar_t *)
char * | operator= (const std::wstring &)
struct _array & | operator= (const struct _array &)
struct _struct & | operator= (const struct _struct &)
struct _base64 & | operator= (const struct _base64 &)
struct _rawdata & | operator= (const struct _rawdata &)
struct value & | operator= (const struct value &)
void | clear ()
| clear value to unassigned More...
void | size (int)
| set/allocate size of array More...
int | size () const
| returns array/struct size or 0 More...
bool | empty () const
| true if empty array or struct More...
int | nth (int) const
| returns nth index if index is in bounds, < 0 otherwise More...
int | nth (const char *) const
| returns nth index of name in struct, < 0 otherwise More...
int | nth (const wchar_t *) const
| returns nth index of name in struct, < 0 otherwise More...
bool | has (int) const
| true if array index is in bounds More...
bool | has (const char *) const
| true if struct has name as a key More...
bool | has (const wchar_t *) const
| true if struct has name as a key More...
bool | is_null () const
| true if value is not set (JSON null) More...
bool | is_bool () const
| true if value is Boolean type More...
bool | is_false () const
| true if value is Boolean false More...
bool | is_true () const
| true if value is Boolean true More...
bool | is_int () const
| true if value is int type More...
bool | is_double () const
| true if value is double type More...
bool | is_number () const
| true if value is a number (int or float) More...
bool | is_string () const
| true if value is string type More...
bool | is_dateTime () const
| true if value is dateTime More...
bool | is_array () const
| true if value is array type More...
bool | is_struct () const
| true if value is struct type More...
bool | is_base64 () const
| true if value is base64 type More...
bool | is_rawdata () const
| true if value is rawdata More...
value_iterator | begin ()
| value iterator begin More...
value_iterator | end ()
| value iterator end More...

## Public Attributes
int | __type
| optional SOAP_TYPE_X, where X is a type name More...
void * | ref
| ref to data More...
_string | __any
| <value> string content in XML-RPC (not JSON), if any More...
struct soap * | soap
| ref to soap struct that manages this type More...

## Detailed Description

Represents the <value> container element The <value> element contains either string data stored in __any or an other type of data stored in a subelement. In case of a subelement, the __type member indicates the type of data pointed to by the ref member. For example, when __type = SOAP_TYPE__int then the ref points to a LONG64, when __type = SOAP_TYPE__string (char*)ref is a string.

## Member Typedef Documentation

typedef value_const_iterator value::const_iterator

typedef value_iterator value::iterator

## Constructor & Destructor Documentation

value::value | ( |  | ) |

value::value | ( | const struct value & |  | ) |

value::value | ( | struct soap * |  | ) |

value::value | ( | struct soap * | ,
|  | extern | bool
| ) |  |

value::value | ( | struct soap * | ,
|  | _i4 |
| ) |  |

value::value | ( | struct soap * | ,
|  | _int |
| ) |  |

value::value | ( | struct soap * | ,
|  | _double |
| ) |  |

value::value | ( | struct soap * | ,
|  | const char * |
| ) |  |

value::value | ( | struct soap * | ,
|  | const std::string & |
| ) |  |

value::value | ( | struct soap * | ,
|  | const wchar_t * |
| ) |  |

value::value | ( | struct soap * | ,
|  | const std::wstring & |
| ) |  |

value::value | ( | struct soap * | ,
|  | ULONG64 |
| ) |  |

value::value | ( | struct soap * | ,
|  | const struct _array & |
| ) |  |

value::value | ( | struct soap * | ,
|  | const struct _struct & |
| ) |  |

value::value | ( | struct soap * | ,
|  | const struct _base64 & |
| ) |  |

value::value | ( | struct soap * | ,
|  | const struct _rawdata & |
| ) |  |

## Member Function Documentation

value_iterator value::begin | ( |  | ) |

value iterator begin

void value::clear | ( |  | ) |

clear value to unassigned

bool value::empty | ( |  | ) | const

true if empty array or struct

value_iterator value::end | ( |  | ) |

value iterator end

bool value::has | ( | int |  | ) | const

true if array index is in bounds

bool value::has | ( | const char * |  | ) | const

true if struct has name as a key

bool value::has | ( | const wchar_t * |  | ) | const

true if struct has name as a key

bool value::is_array | ( |  | ) | const

true if value is array type

bool value::is_base64 | ( |  | ) | const

true if value is base64 type

bool value::is_bool | ( |  | ) | const

true if value is Boolean type

bool value::is_dateTime | ( |  | ) | const

true if value is dateTime

bool value::is_double | ( |  | ) | const

true if value is double type

bool value::is_false | ( |  | ) | const

true if value is Boolean false

bool value::is_int | ( |  | ) | const

true if value is int type

bool value::is_null | ( |  | ) | const

true if value is not set (JSON null)

bool value::is_number | ( |  | ) | const

true if value is a number (int or float)

bool value::is_rawdata | ( |  | ) | const

true if value is rawdata

bool value::is_string | ( |  | ) | const

true if value is string type

bool value::is_struct | ( |  | ) | const

true if value is struct type

bool value::is_true | ( |  | ) | const

true if value is Boolean true

int value::nth | ( | int |  | ) | const

returns nth index if index is in bounds, < 0 otherwise

int value::nth | ( | const char * |  | ) | const

returns nth index of name in struct, < 0 otherwise

int value::nth | ( | const wchar_t * |  | ) | const

returns nth index of name in struct, < 0 otherwise

value::operator _double | ( |  | ) | const

value::operator _i4 | ( |  | ) | const

value::operator _int | ( |  | ) | const

value::operator char * | ( |  | ) | const

value::operator const struct _array & | ( |  | ) | const

value::operator const struct _base64 & | ( |  | ) | const

value::operator const struct _rawdata & | ( |  | ) | const

value::operator const struct _struct & | ( |  | ) | const

value::operator extern bool | ( |  | ) | const

value::operator std::string | ( |  | ) | const

value::operator std::wstring | ( |  | ) | const

value::operator struct _array & | ( |  | ) |

value::operator struct _base64 & | ( |  | ) |

value::operator struct _rawdata & | ( |  | ) |

value::operator struct _struct & | ( |  | ) |

value::operator ULONG64 | ( |  | ) | const

value::operator wchar_t * | ( |  | ) | const

bool value::operator= | ( | extern | bool | ) |

_i4 value::operator= | ( | _i4 |  | ) |

_int value::operator= | ( | _int |  | ) |

_double value::operator= | ( | _double |  | ) |

ULONG64 value::operator= | ( | ULONG64 |  | ) |

const char* value::operator= | ( | const char * |  | ) |

char* value::operator= | ( | char * |  | ) |

char* value::operator= | ( | const std::string & |  | ) |

const char* value::operator= | ( | const wchar_t * |  | ) |

char* value::operator= | ( | wchar_t * |  | ) |

char* value::operator= | ( | const std::wstring & |  | ) |

struct _array& value::operator= | ( | const struct _array & |  | ) |

struct _struct& value::operator= | ( | const struct _struct & |  | ) |

struct _base64& value::operator= | ( | const struct _base64 & |  | ) |

struct _rawdata& value::operator= | ( | const struct _rawdata & |  | ) |

struct value& value::operator= | ( | const struct value & |  | ) |

struct value& value::operator[] | ( | int |  | ) |

array/struct index (negative to get from end)

struct value& value::operator[] | ( | const char * |  | ) |

struct access

struct value& value::operator[] | ( | const std::string & |  | ) |

struct access

struct value& value::operator[] | ( | const wchar_t * |  | ) |

struct access

struct value& value::operator[] | ( | const std::wstring & |  | ) |

struct access

const struct value& value::operator[] | ( | int |  | ) | const

array/struct index (negative to get from end)

const struct value& value::operator[] | ( | const char * |  | ) | const

struct access

const struct value& value::operator[] | ( | const std::string & |  | ) | const

struct access

const struct value& value::operator[] | ( | const wchar_t * |  | ) | const

struct access

const struct value& value::operator[] | ( | const std::wstring & |  | ) | const

struct access

void value::size | ( | int |  | ) |

set/allocate size of array

int value::size | ( |  | ) | const

returns array/struct size or 0

## Member Data Documentation

_string value::__any

<value> string content in XML-RPC (not JSON), if any

int value::__type

optional SOAP_TYPE_X, where X is a type name

void* value::ref

ref to data

struct soap* value::soap

ref to soap struct that manages this type

The documentation for this struct was generated from the following file:

- xml-rpc.h